<?php
/**
 * ILogger interface
 * @author Jérôme Brilland
 * @version 2.0
 * @copyright (c) 2018-2023, Jérôme Brilland
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License
 */
interface ILogger {
    
    const ERROR = 'error';
    const WARN = 'warn';
    const DEBUG = 'debug';
    const INFO = 'info';
    
    public function info( string $message );
    public function debug( string $message );
    public function warn( string $message );
    public function error( string $message );
    public function write( string $level, string $message );
    
}
